groovy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Remi Forax <fo...@univ-mlv.fr>
Subject Re: JsonSlurper doesn't work with Java 9+
Date Wed, 13 Feb 2019 10:53:53 GMT
And answering to myself,
it seems this issue has already been fixed,

sorry for the noise.

Rémi

----- Mail original -----
> De: "Remi Forax" <forax@univ-mlv.fr>
> À: "dev" <dev@groovy.apache.org>
> Envoyé: Mercredi 13 Février 2019 11:50:45
> Objet: JsonSlurper doesn't work with Java 9+

> This was reported on the Java bug tracker but it's a Groovy issue (a groovy-json
> one),
> 
> https://bugs.openjdk.java.net/browse/JDK-8218540
> 
> The JsonSlurper has not being updated to work with the new Java 9 String
> implementation that uses an array of bytes, containing either a 8 bits
> representation or a 16 bits representation, instead of an array of chars.
> 
> cheers,
> Rémi

Mime
View raw message